Bug 1124344 - yum --security update doesn't work on non-fedora repos. This limitation is probably undocumented.
Summary: yum --security update doesn't work on non-fedora repos. This limitation is pr...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: security-guide
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Christensen
QA Contact: Pete Travis
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 09:41 UTC by boycottsystemd
Modified: 2015-07-27 13:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 16:09:40 UTC


Attachments (Terms of Use)
Proposed patch (2.36 KB, patch)
2014-09-30 13:35 UTC, Eric Christensen
sparks: review? (docs-qa)
Details | Diff

Description boycottsystemd 2014-07-29 09:41:08 UTC
Description of problem:
yum --security update doesn't work on non-fedora repos. This limitation is probably undocumented.

Version-Release number of selected component (if applicable): F20


How reproducible:


Steps to Reproduce:
1.yum --security update
2.
3.

Actual results:
updates from non-fedora repos are not applied. (e.g. flash-plugin-11.2.202.394-release.x86_64)


Expected results:
Should be mentioned in documentation (?)

Additional info:
http://www.forums.fedoraforum.org/showthread.php?t=299841

Comment 1 Eric Christensen 2014-09-30 13:35:18 UTC
Created attachment 942713 [details]
Proposed patch

I believe this fixes the issue.

Comment 2 Pete Travis 2014-09-30 14:19:07 UTC
You might consider adding a title to the admonition, but it is ok without.  I think your change communicates the situation very well.

Comment 3 Eric Christensen 2014-09-30 16:09:40 UTC
commit cdaaa5bd8d455cc72c2081d0486cc1bd3813f991
Author: Eric H Christensen <sparks@redhat.com>
Date:   Tue Sep 30 09:32:07 2014 -0400

    Reworded the yum-plugin-security portion and added a notification regarding this functionality not working in third-party repositories (BZ 1124344)
    
    Signed-off-by: Eric H Christensen <sparks@redhat.com>

Comment 4 Lance Lassetter 2015-07-27 12:33:46 UTC
I don't see this option available in dnf.  Only if automatic updates are applied with dnf?

Comment 5 Eric Christensen 2015-07-27 13:48:52 UTC
(In reply to Lance Lassetter from comment #4)
> I don't see this option available in dnf.  Only if automatic updates are
> applied with dnf?

I'd file as a bug against dnf although I'm sure they'll say it's a "feature".


Note You need to log in before you can comment on or make changes to this bug.